.flex-container {
  display: flex;
  flex-flow: row wrap;
  justify-content: space-evenly;
  align-items: center;
  min-height: fit-content;
}

.flex-item-1 {
  order: 1;
  margin-top: 10px;
  padding: 10px;
  /* background-color: darkgreen; */
}

.flex-item-2 {
  order: 2;
  margin-top: 10px;
  padding: 20px auto;
  flex-basis: 320px;
  flex-grow: 3;
  align-self: center;
  /* background-color: yellow; */
}

.flex-item-3 {
  order: 3;
  align-self: center;
  width: 98vw;
  margin: 10px 1vw;
  /* background-color: darkorange; */
}

.flex-item-4 {
  order: 4;
  width: 98vw;
  margin: 10px 1vw;
  align-self: center;
  justify-content: center;
  /* background-color: darkcyan; */
}

/*** landing page picture mosaic ***/
.grid-container {
  display: grid;
  height: 650px;
  max-height: 80vh;
  gap: 10px;
  padding: 10px;
}
.grid-container > div {
  text-align: center;
  padding: 20px 0;
}
.lp-mosaic {
  border-radius: 10px;
  margin: 3px;
  background-position: center;
  background-size: cover;
  background-repeat: no-repeat;
}
.item-1 {
  grid-area: 1 / 1 / 2 / 3;
}
.item-2 {
  grid-area: 1 / 3 / 3 / 4;
}
.item-3 {
  grid-area: 2 / 1 / 3 / 2;
}
.item-4 {
  grid-area: 2 / 2 / 4 / 3;
}
.item-5 {
  grid-area: 3 / 1 / 4 / 2;
}
.item-6 {
  grid-area: 3 / 3 / 3 / 4;
}
/* end of homepage landing section */

/* for moving around and why-choose-us sections */
.cards-grid {
  display: grid;
  gap: 16px;
}
.cards-grid-2col {
  grid-template-columns: repeat(2, 1fr);
}
.cards-grid-3col {
  grid-template-columns: repeat(3, 1fr);
}
.cards-grid-4col {
  grid-template-columns: repeat(4, 1fr);
}
.cards-grid p {
  padding: 5px 25px;
}
/* end ... */
